Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.search.join
Class ToParentBlockJoinFieldComparator

    java.lang.Object
      org.apache.lucene.search.FieldComparator<Object>
          org.apache.lucene.search.join.ToParentBlockJoinFieldComparator

Direct Known Subclasses:
  ToParentBlockJoinFieldComparator.Highest, ToParentBlockJoinFieldComparator.Lowest

    public abstract class ToParentBlockJoinFieldComparator

extends FieldComparator<Object>

A field comparator that allows parent documents to be sorted by fields from the nested / child documents.

WARNING: This API is experimental and might change in incompatible ways in the next release.

Nested Class Summary
`static class` | `ToParentBlockJoinFieldComparator.Highest` Concrete implementation of `ToParentBlockJoinSortField` to sorts the parent docs with the highest values in the child / nested docs first.
`static class` | `ToParentBlockJoinFieldComparator.Lowest` Concrete implementation of `ToParentBlockJoinSortField` to sorts the parent docs with the lowest values in the child / nested docs first.

Nested classes/interfaces inherited from class org.apache.lucene.search.FieldComparator
`FieldComparator.ByteComparator, FieldComparator.DocComparator, FieldComparator.DoubleComparator, FieldComparator.FloatComparator, FieldComparator.IntComparator, FieldComparator.LongComparator, FieldComparator.NumericComparator<T extends Number>, FieldComparator.RelevanceComparator, FieldComparator.ShortComparator, FieldComparator.TermOrdValComparator, FieldComparator.TermValComparator`

Method Summary
`int` | `compare(int slot1, int slot2)`
`void` | `setBottom(int slot)`
`FieldComparator<Object>` | `setNextReader(AtomicReaderContext context)`
`Object` | `value(int slot)`

Methods inherited from class org.apache.lucene.search.FieldComparator
`compareBottom, compareDocToValue, compareValues, copy, setScorer`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### compare

    public int compare(int slot1,
                       int slot2)

  Specified by:
    `compare` in class `FieldComparator<Object>`

### setBottom

    public void setBottom(int slot)

  Specified by:
    `setBottom` in class `FieldComparator<Object>`

### setNextReader

    public FieldComparator<Object> setNextReader(AtomicReaderContext context)
                                          throws IOException

  Specified by:
    `setNextReader` in class `FieldComparator<Object>`
  Throws:
    `IOException`

### value

    public Object value(int slot)

  Specified by:
    `value` in class `FieldComparator<Object>`

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.